Bug 1173388 - dictionary.mikrotik missing Attributes
Summary: dictionary.mikrotik missing Attributes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: freeradius
Version: 6.7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Nikolai Kondrashov
QA Contact: Jaroslav Aster
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-12 02:57 UTC by David Beveridge
Modified: 2015-07-22 06:16 UTC (History)
4 users (show)

Fixed In Version: freeradius-2.2.6-1.el6
Doc Type: Bug Fix
Doc Text:
Prior to this update, radiusd failed to work with some of the more recent MikroTIK attributes, because the installed directory.mikrotik file did not include them. This update adds MikroTIK attributes with IDs up to 22 to dictionary.mikrotik, and radiusd now works as expected with these attributes.
Clone Of:
Environment:
Last Closed: 2015-07-22 06:16:58 UTC


Attachments (Terms of Use)
Dictionary File for Mikrotik Router (1.67 KB, text/plain)
2014-12-12 02:57 UTC, David Beveridge
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1287 normal SHIPPED_LIVE Moderate: freeradius security, bug fix, and enhancement update 2015-07-20 17:48:53 UTC

Description David Beveridge 2014-12-12 02:57:26 UTC
Created attachment 967476 [details]
Dictionary File for Mikrotik Router

Description of problem:
Fri Dec 12 08:29:51 2014 : Error: rlm_sql: Failed to create the pair: Unknown attribute "Mikrotik-Total-Limit" requires a hex string, not "538696814"


Turns out these attributes are missing from the file

ATTRIBUTE	Mikrotik-Wireless-PSK			16	string
ATTRIBUTE	Mikrotik-Total-Limit			17	integer
ATTRIBUTE	Mikrotik-Total-Limit-Gigawords		18	integer
ATTRIBUTE	Mikrotik-Address-List			19	string
ATTRIBUTE	Mikrotik-Wireless-MPKey			20	string
ATTRIBUTE	Mikrotik-Wireless-Comment		21	string
ATTRIBUTE	Mikrotik-Delegated-IPv6-Pool		22	string



Version-Release number of selected component (if applicable):


How reproducible:
I upgraded my freeradius server via yum and the file
/usr/share/freeradius/dictionary.mikrotik
was replaced by the one in the RPM update.
I had previously supplied my own dictionary.mikrotik file.

Steps to Reproduce:
1. Attempt to use a missing ATTRIBUTE
2.
3.

Actual results:


Expected results:


Additional info:
I recommend updating the redhat rpms to include this file instead
https://github.com/FreeRADIUS/freeradius-server/blob/master/share/dictionary.mikrotik 
or see/use attached file.

Comment 10 errata-xmlrpc 2015-07-22 06:16:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1287.html


Note You need to log in before you can comment on or make changes to this bug.